Bug 996175 - Database driver configured during the installation process is not used for existing datasources
Database driver configured during the installation process is not used for ex...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER3
: ---
Assigned To: Thomas Hauser
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 11:00 EDT by Stefan Bunciak
Modified: 2014-02-06 10:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Bunciak 2013-08-12 11:00:21 EDT
Description of problem:


Version-Release number of selected component (if applicable):

SOA 6.0.0.ER1

How reproducible:


Steps to Reproduce:
1. Install SOA 6.0.0.ER1 using installer
2. In post-installation configuration of the installer create a new datasource (e.g. with connection to Mysql database) with appropriate jdbc driver.
3. Finish installer

Actual results:

* New datasource along with appropriate driver is created in standalone.xml, however the existing datasources (jbpmDS, OverlordRTgov ds, ...) still use the default H2 database.

Expected results:

* After explicitly configuring a new database driver in the installer, this database driver should be used for existing datasources as well. 

Additional info:

* We can consider creating a checkbox in the installer GUI so users can decide.
Comment 4 Thomas Hauser 2013-09-20 15:40:25 EDT
The scripts now exist, and the chosen JDBC driver will be put into the existing datasources through the corresponding *.properties file.
Comment 5 Stefan Bunciak 2013-09-24 08:51:38 EDT
Verified in FSW 6.0.0.ER3. 

However, datasources are updated to use the new database driver, credentials remains the same which won't be correct until someone creates new users in its DB with exact the same credentials as the installer script specified.

Moreover, URL of the jBPM DS is not updated: https://bugzilla.redhat.com/show_bug.cgi?id=1011494

Note You need to log in before you can comment on or make changes to this bug.